QResizeEvent(3qt)

NAME
QResizeEvent - Event parameters for resize events

#include <qevent.h>

Inherits QEvent.

  Public Members
QResizeEvent ( const QSize & size, const QSize & oldSize )
const QSize& size () const
const QSize& oldSize () const

DESCRIPTION
The QResizeEvent class contains event parameters for resize events.

Resize events are sent to widgets that have been resized.

The event handler QWidget::resizeEvent() receives resize events.

See also QWidget::resize() and QWidget::setGeometry().

Examples: mainlyQt/editor.cpp xform/xform.cpp mainlyXt/editor.cpp drawdemo/drawdemo.cpp menu/menu.cpp qmag/qmag.cpp mainlyMotif/editor.cpp

MEMBER FUNCTION DOCUMENTATION

QResizeEvent::QResizeEvent ( const QSize & size, const QSize & oldSize )
Constructs a resize event with the new and old widget sizes.

const QSize & QResizeEvent::oldSize () const
Returns the old size of the widget.

const QSize & QResizeEvent::size () const
Returns the new size of the widget, which is the same as QWidget::size().

SEE ALSO
http://doc.trolltech.com/qresizeevent.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports make our job much simpler. Thank you.

In case of content or formattting problems with this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qresizeevent.3) and the Qt version (2.3.2).